
Foreman - Feature #28883

Update kickstart templates for IPv6 provisioning

01/29/2020 10:02 AM - Lukas Zapletal

Status: Closed   

Priority: Low   

Assignee: Lukas Zapletal   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/685

  

Description

They currently only support IPv4.

Related issues:

Related to Foreman - Tracker #28683: IPv6 only support New

Related to Foreman - Bug #28762: PXE templates do not render when IPv4 subnet... Resolved

Associated revisions

Revision c68efbaf - 03/02/2020 12:48 PM - Lukas Zapletal 

Fixes #28883 - Initial IPv6 support for kickstart

History

#1 - 01/29/2020 10:03 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#2 - 01/29/2020 10:03 AM - Lukas Zapletal

- Related to Tracker #28683: IPv6 only support added

#3 - 03/02/2020 12:48 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#4 - 03/02/2020 01:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|c68efbaf8e7f3d30cae57070716c5dc3f2b0983d.

#5 - 08/18/2020 12:56 PM - Adam Boutcher

- Priority changed from Normal to Low

This change broke our site as we define both IPv4 and IPv6 Subnets.

Can we get a change so it prioritises IPv4 over IPv6 or some way of selecting?

#6 - 08/18/2020 03:04 PM - Lukas Zapletal

Hmmm. Feel free to contribute a templates patch - probably a global parameter which would do priorities correctly would do it.

#7 - 06/10/2021 11:44 AM - Lukas Zapletal

- Related to Bug #28762: PXE templates do not render when IPv4 subnet is nil added
